Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.parser
Class ELTokenMgrError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.jbpm.jpdl.el.parser.ELTokenMgrError

All Implemented Interfaces:
  java.io.Serializable

    public class ELTokenMgrError

extends java.lang.Error

See Also:
  Serialized Form

Constructor Summary
`ELTokenMgrError()`
`ELTokenMgrError(boolean EOFSeen, int lexState, int errorLine, int errorColumn, java.lang.String errorAfter, char curChar, int reason)`
`ELTokenMgrError(java.lang.String message, int reason)`

Method Summary
`protected static java.lang.String` | `addEscapes(java.lang.String str)` Replaces unprintable characters by their espaced (or unicode escaped) equivalents in the given string
`java.lang.String` | `getMessage()` You can also modify the body of this method to customize your error messages.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ELTokenMgrError

    public ELTokenMgrError()

### ELTokenMgrError

    public ELTokenMgrError(java.lang.String message,
                           int reason)

### ELTokenMgrError

    public ELTokenMgrError(boolean EOFSeen,
                           int lexState,
                           int errorLine,
                           int errorColumn,
                           java.lang.String errorAfter,
                           char curChar,
                           int reason)

Method Detail

### addEscapes

    protected static final java.lang.String addEscapes(java.lang.String str)

  Replaces unprintable characters by their espaced (or unicode escaped) equivalents in the given string

### getMessage

    public java.lang.String getMessage()

  You can also modify the body of this method to customize your error messages. For example, cases like LOOP_DETECTED and INVALID_LEXICAL_STATE are not of end-users concern, so you can return something like : "Internal Error : Please file a bug report .... " from this method for such cases in the release version of your parser.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD